{
    description = "Office Desktop and Server";

    # Channels
    inputs = {
        nixpkgs-stable.url = "github:NixOS/nixpkgs/nixos-22.11";
        nixpkgs.url = "nixpkgs/nixos-unstable";
        
        home-manager = {
            url = "github:nix-community/home-manager";

            # Make home manager use the nixpkgs packages instead
            # due to being more updated
            inputs.nixpkgs.follows = "nixpkgs";
        };

        nur.url = "github:nix-community/NUR";

        nix-on-droid = {
            url = "github:t184256/nix-on-droid";
            inputs = {
                nixpkgs.follows = "nixpkgs";
                home-manager.follows = "home-manager";
                nixpkgs-for-bootstrap.follows = "";
                nix-formatter-pack.follows = "";
                nmd.follows = "";
            };
        };
        
        grub-theme = {
            url = "github:catppuccin/grub";
            flake = false;
        };

    };
    outputs = { self, nixpkgs, home-manager, ... } @ inputs:
        let 
            system = "x86_64-linux";
            stateVersion = "22.11";
            pkgs = import nixpkgs {
                 inherit system;
                 config = { allowUnfreePredicate = true; };
            };
        in {
            # NixOS configurations
            # nixosConfigurations = import ./hosts/nixos/bunta_desktop/test.nix
            #    (inputs // {inherit system stateVersion;});
            nixosConfigurations = import ./hosts/nixos (inputs // {inherit system stateVersion inputs;});

            # Nix on Android configurations
            # nixonDroidConfigurations = import ./hosts/nixdroid (inputs // {inherit stateVersion system;});

            # Default shell configuration, for pre-installation
            # availability for example, nix needs it as well
            devShells.${system}.default = pkgs.mkShell {
                packages = with pkgs; [
                    wget
                    nil rnix-lsp
                    lazygit
                ];
            };

            # packages.${system} = with pkgs; [ nil ];

            # defaultPackage.${system} = self.nixosConfigurations.bunta_desktop;
        };
}
