{pkgs, ...}:
let
  inputs.grub-theme = {
    url = "github:catppuccin/grub";
    flake = false;
  };
in {
  # Bootloader
  boot = {
    loader = {
      grub = {
        enable = true;
        devices = ["nodev"];
        useOSProber = true;
        # efiSupport = true;
        # theme = inputs.grub-theme + "/src/catppuccin-mocha-grub-theme";
      };
      /*
      efi = {
        canTouchEfiVariables = true;
        #efiInstallAsRemovable = true;
        efiSysMountPoint = "/boot/";
      };
      */
    };

    extraModprobeConfig = "options kvm_intel nested=1";
    supportedFilesystems = [ "ntfs" "btrfs" "mtpfs" ];

    kernelModules = [ "kvm-intel" ];
    kernelPackages = pkgs.linuxPackages_latest;
  };
}
