{nixpkgs, nixpkgs-stable, system, stateVersion, home-manager, self, inputs, ...}:
{    
    # Host configurations
    bunta_desktop = nixpkgs.lib.nixosSystem {
      specialArgs = {
        inherit nixpkgs system stateVersion home-manager;
      };
      
      modules = [
        ./configuration.nix
        ./hardware-configuration.nix
        ./core/bootloader.nix
        home-manager.nixosModules.home-manager {
          home-manager = {
            useUserPackages = true;
            useGlobalPkgs = true;
            extraSpecialArgs = {
              inherit self;
              inherit inputs;
              packages = self.packages.${system};
            };

            users.nibunta = import ./users/nibunta.nix;
          };
        }
			];
      
      /*
      imports = [ "${nixpkgs-stable}/nixos/modules/services/virtualisation/virtualbox-host.nix" ];

      disabledModules = [ "virtualisation/virtualbox-host.nix" ];
      nixpkgs.config = {
        packageOverrides = pkgs: let
          stablePkgs = import nixpkgs-stable { enableUnfree = true; };
        in {
          virtualbox = stablePkgs.virtualbox;
          virtualboxExtpack = stablePkgs.virtualboxExtpack;
        }; 
      };
      */
    };
}
